﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>On-Premise or Cloud Application Specific Dashboards</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>On-Premise or Cloud Application Specific Dashboards</h1>
        <p>IGA supports application specific dashboards for easy understanding and monitoring of the key parameters in an application. The dashboards can project pictorial representations of the data in the form of charts and graphs. These graphs and charts can be populated on the dashboard screen using the data available in the database of a specific application. To populate the tiles and charts on a dashboard, see&#160;Dashboards.</p>
        <h2 id="On-PremiseorCloudApplicationSpecificDashboards-DifferenttypesofDashboardTiles">Different types of Dashboard Tiles</h2>
        <p>IGA dashboard tiles are currently classified into six different types and are explained in the following section of&#160;<strong>Tiles</strong>:</p>
        <ul>
            <li>
                <p><strong>Type-1</strong>: Containing object name, icon, count data, display name and will be displayed under general <strong>Dashboard Tiles</strong> category.</p>
                <p>
                    <img src="../Resources/Images/type1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Type-2</strong> :  Containing only icon and data with background color being completely white.</p>
                <p>
                    <img src="../Resources/Images/type 2.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Type-3</strong>: Containing icon, icon color, display name and count data,with background color being completely white.</p>
                <p>
                    <img src="../Resources/Images/type 3.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Type-4</strong>: Risk-Based Tiles will have a difference in appearance and color based on the risk factors classified, will be displayed separately under <strong>Risk-Based Tiles</strong> section. In risk-based tiles the display name will be shown on top of the tile and the count value is displayed at the bottom of the tile.</p>
                <p>
                    <img src="../Resources/Images/type 4.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Type-5: </strong>This type of tile contains class name, display name and count data.&#160;The tile has appearance changes to its display name.&#160;</p>
                <p>
                    <img src="../Resources/Images/type 5.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Type-6: Controller Based Tile</strong> - These tiles have controller driven data. All the executions will be done at the controller end and the count will be provided for display. These controller-based tiles need to be added from respective SAV roles and they possess only hard-coded values, which may not change based on the changes made in the backend DB.</p>
                <p>
                    <img src="../Resources/Images/type 6.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ul>
        <h2 id="On-PremiseorCloudApplicationSpecificDashboards-OperationsyoucanperformontheTiles">Operations you can perform on the Tiles</h2>
        <ol>
            <li><b>Reload</b>:&#160;On-click of the <strong>RELOAD</strong>,&#160; the data and count on the tile will be updated with the new value from the database. The tile may also change the color according to the percentage of count (threshold) if mentioned in the query.</li>
            <li>Clicking on a tile redirects you to one of the following pages:<ul><li>Analytics History page using analytics details page (applicable for the SQL based controls).</li><li>Category Based redirection (on Analytics History page).</li><li>Controller Action based redirection to a specific page as required.</li><li>Risk-Based redirection (on Analytics History Page).</li></ul></li>
        </ol>
        <p>The dashboards and tiles need to be populated from the database, refer the document named Dashboards_Document_V1.0.docx&#160;(available with Dev Sec Ops team) for more information about populating the dashboards and the actions that you can take on them.</p>
        <h2 id="On-PremiseorCloudApplicationSpecificDashboards-DifferenttypesofDashboardCharts">Different types of Dashboard Charts</h2>
        <p>IGA dashboard currently supports the following types of <strong>Charts</strong>:</p>
        <ul>
            <li>
                <p><strong>Pie Chart</strong> - is a circular statistical graphic chart, divided into slices to illustrate numerical proportions.</p>
                <p>
                    <img src="../Resources/Images/pie chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><strong>Bar Chart</strong> - is a chart that uses bars to show comparisons between categories of data.</p>
                <p>
                    <img src="../Resources/Images/bar_chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Gauge Chart</b> -&#160;also known as dial&#160;chartor speedometer&#160;chart,&#160;used to show information as a reading on a dial.&#160;It gives the minimum, the maximum, and the current value.</p>
                <p>
                    <img src="../Resources/Images/gauge chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Three Ring Gauge Chart</b> - similar to a gauge chart but with three gauge rings projecting data from different categories.</p>
                <p>
                    <img src="../Resources/Images/three ring gauge chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Doughnut Chart</b> - show each category of data as a slice of a doughnut. The chart&#160;may contain one or more doughnuts, arranged one inside the other.</p>
                <p>
                    <img src="../Resources/Images/doughnut chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Stack Bar Chart</b> -&#160;is a chart&#160;that uses bars&#160;to show comparisons between categories of data.</p>
                <p>
                    <img src="../Resources/Images/stack bar chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Cluster Bar Chart</b> -&#160;consisting of a grid and vertical or horizontal columns (bars) that are arranged in groups, or clusters.</p>
                <p>
                    <img src="../Resources/Images/cluster bar chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Line chart</b> -&#160;is a graphical display of information that changes continuously over time. Within a line graph, there are points connecting the data to show a continuous change. The lines in a line graph can descend and ascend based on the data.</p>
                <p>
                    <img src="../Resources/Images/line chart.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p><b>Bar with Line Chart</b> - It is a combination of both bar chart and line chart together in a single chart.</p>
            </li>
            <li>
                <p><b>Bubble Chart</b> -&#160;is a type of&#160;chart that displays three dimensions of data.</p>
            </li>
            <li>
                <p><b>Controller Based Chart</b> - You can make the charts to be actionable on performing a click on any section of the chart, the action can be redirected to an accounts controller and list action</p>
            </li>
        </ul>
    </body>
</html>